```{eval-rst}
:parenttoc: True

.. title:: Gallery: contents

===================
Example Gallery
===================


.. toctree::
   :hidden:

   plot_advanced_triangle
   plot_ave_analysis
   plot_benktander
   plot_berqsherm_case
   plot_bf_apriori_from_cl
   plot_bondy_sensitivity
   plot_bootstrap
   plot_bootstrap_comparison
   plot_callable_dev_constant
   plot_capecod
   plot_capecod_onlevel
   plot_clarkldf
   plot_clarkldf_resid
   plot_development_periods
   plot_elrf_resid
   plot_exponential_smoothing
   plot_exposure_triangle
   plot_extrap_period
   plot_glm_ldf
   plot_ibnr_runoff
   plot_industry_to_company
   plot_mack
   plot_munich
   plot_munich_resid
   plot_ptf_resid
   plot_stochastic_bornferg
   plot_tailcurve_compare
   plot_triangle_from_pandas
   plot_triangle_slicing
   plot_value_at_risk
   plot_voting_chainladder

```

You'll find a collection of gallery examples here. These notebooks syntesize many of the concepts learned in the tutorials or the user guide.

Each of these notebooks has a corresponding badge that indicates its the level of difficulty. However, they are not ordered in any way.

* {bdg-success}`easy` examples cover the basics of the library.
* {bdg-warning}`medium` examples cover the more advanced features of the library.
* {bdg-danger}`hard` examples have more complex workflows that are not recommended for beginners.



::::{grid}
:gutter: 2

:::{grid-item-card} 
:columns: 4
**[BornhutterFerguson vs Chainladder](plot_benktander)**
```{glue:} plot_benktander
```
+++
{bdg-warning}`medium`

:::

:::{grid-item-card} 
:columns: 4
**[Advanced Triangle Manipulation](plot_advanced_triangle)**
```{glue:} plot_advanced_triangle
```
+++
{bdg-danger}`hard`

:::

:::{grid-item-card} 
:columns: 4
**[Actual Vs Expected](plot_ave_analysis)**
```{glue:} plot_ave_analysis
```
+++
{bdg-success}`easy`

:::

:::{grid-item-card} 
:columns: 4
**[BerquistSherman Adjustment](plot_berqsherm_case)**
```{glue:} plot_berqsherm_case
```
+++
{bdg-success}`easy`

:::

:::{grid-item-card} 
:columns: 4
**[Selecting BornheutterFerguson Apriori](plot_bf_apriori_from_cl)**
```{glue:} plot_bf_apriori_from_cl
```
+++
{bdg-success}`easy`

:::

:::{grid-item-card} 
:columns: 4
**[Bondy Tail Sensitivity](plot_bondy_sensitivity)**
```{glue:} plot_bondy_sensitivity
```
+++
{bdg-warning}`medium`

:::

:::{grid-item-card} 
:columns: 4
**[BootstrapODPSample Variability](plot_bootstrap_comparison)**
```{glue:} plot_bootstrap_comparison
```
+++
{bdg-warning}`medium`

:::

:::{grid-item-card} 
:columns: 4
**[Basic BootstrapODPSample](plot_bootstrap)**
```{glue:} plot_bootstrap
```
+++
{bdg-success}`easy`


:::

:::{grid-item-card} 
:columns: 4
**[DevelopmentConstant Callable](plot_callable_dev_constant)**
```{glue:} plot_callable_dev_constant
```
+++
{bdg-danger}`hard`


:::

:::{grid-item-card} 
:columns: 4
**[CapeCod Onleveling](plot_capecod_onlevel)**
```{glue:} plot_capecod_onlevel
```
+++
{bdg-warning}`medium`

:::

:::{grid-item-card} 
:columns: 4
**[CapeCod Sensitivity](plot_capecod)**
```{glue:} plot_capecod
```
+++
{bdg-danger}`hard`


:::

:::{grid-item-card} 
:columns: 4
**[ClarkLDF Residuals](plot_clarkldf_resid)**
```{glue:} plot_clarkldf_resid
```
+++
{bdg-warning}`medium`


:::

:::{grid-item-card} 
:columns: 4
**[Clark Growth Curves](plot_clarkldf)**
```{glue:} plot_clarkldf
```
+++
{bdg-success}`easy`


:::

:::{grid-item-card} 
:columns: 4
**[Tuning Development Patterns](plot_development_periods)**
```{glue:} plot_development_periods
```
+++
{bdg-warning}`medium`


:::

:::{grid-item-card} 
:columns: 4
**[ELRF Residuals](plot_elrf_resid)**
```{glue:} plot_elrf_resid
```
+++
{bdg-success}`easy`


:::

:::{grid-item-card} 
:columns: 4
**[Attachment Age Smoothing](plot_exponential_smoothing)**
```{glue:} plot_exponential_smoothing
```
+++
{bdg-success}`easy`


:::

:::{grid-item-card} 
:columns: 4
**[Exposure Vector](plot_exposure_triangle)**
```{glue:} plot_exposure_triangle
```
+++
{bdg-success}`easy`

:::

:::{grid-item-card} 
:columns: 4
**[TailCurve Extrapolation](plot_extrap_period)**
```{glue:} plot_extrap_period
```
+++
{bdg-warning}`medium`

:::

:::{grid-item-card} 
:columns: 4
**[TweedieGLM Basics](plot_glm_ldf)**
```{glue:} plot_glm_ldf
```
+++
{bdg-success}`easy`

:::

:::{grid-item-card} 
:columns: 4
**[IBNR Runoff](plot_ibnr_runoff)**
```{glue:} plot_ibnr_runoff
```
+++
{bdg-success}`easy`


:::

:::{grid-item-card} 
:columns: 4
**[Making Predictions](plot_industry_to_company)**
```{glue:} plot_industry_to_company
```
+++
{bdg-success}`easy`

:::

:::{grid-item-card} 
:columns: 4
**[MackChainladder Basics](plot_mack)**
```{glue:} plot_mack
```
+++
{bdg-success}`easy`

:::

:::{grid-item-card} 
:columns: 4
**[MunichAdjustment Residuals](plot_munich_resid)**
```{glue:} plot_munich_resid
```
+++
{bdg-warning}`medium`


:::

:::{grid-item-card} 
:columns: 4
**[MunichAdjustment Basics](plot_munich)**
```{glue:} plot_munich
```
+++
{bdg-success}`easy`

:::

:::{grid-item-card} 
:columns: 4
**[PTF Residuals](plot_ptf_resid)**
```{glue:} plot_ptf_resid
```
+++
{bdg-warning}`medium`

:::

:::{grid-item-card} 
:columns: 4
**[Stochastic BornhuetterFerguson](plot_stochastic_bornferg)**
```{glue:} plot_stochastic_bornferg
```
+++
{bdg-warning}`medium`

:::

:::{grid-item-card} 
:columns: 4
**[TailCurve Basics](plot_tailcurve_compare)**
```{glue:} plot_tailcurve_compare
```
+++
{bdg-success}`easy`

:::

:::{grid-item-card} 
:columns: 4
**[Triangle Creation Basics](plot_triangle_from_pandas)**
```{glue:} plot_triangle_from_pandas
```
+++
{bdg-success}`easy`

:::

:::{grid-item-card} 
:columns: 4
**[Triangle Slicing](plot_triangle_slicing)**
```{glue:} plot_triangle_slicing
```
+++
{bdg-success}`easy`

:::

:::{grid-item-card} 
:columns: 4
**[Value At Risk](plot_value_at_risk)**
```{glue:} plot_value_at_risk
```
+++
{bdg-warning}`medium`

:::

:::{grid-item-card} 
:columns: 4
**[VotingChainladder Basics](plot_voting_chainladder)**
```{glue:} plot_voting_chainladder
```
+++
{bdg-warning}`medium`

:::
::::