# WELCOME!

Welcome!

The `chainladder-python` package was built to be able to handle all of your actuarial needs in python. It consists of popular actuarial tools, such as **triangle data manipulation**, **link ratios calculation**, and **IBNR estimates** using both deterministic and stochastic models. We build this package so you no longer have to rely on outdated softwares and tools when performing actuarial pricing or reserving indications.

This package strives to be minimalistic in needing its own API. The syntax mimics popular packages such as [pandas](https://pandas.pydata.org/) for data manipulation and [scikit-learn](https://scikit-learn.org/) for model construction. An actuary that is already familiar with these tools will be able to pick up this package with ease. You will be able to save your mental energy for actual actuarial work.

Want to see examples of what you can do with the package? At the bottom of this page, you will find selected examples of what we have built using `chainladder-python`, for more examples, visit the **Example Gallery** page.

This package is built by a group of volunteers, and we need YOUR help! If you see an error on this site, please click on the GitHub Icon at the top, and submit a ticket so we make the necessary correction.

Don't know where to start? Head over to the **START HERE** section to start exploring. In fact, you can try out the package without having to install anything, go to **Try Chainladder-Python Online**.


::::{grid}
:gutter: 2

:::{grid-item-card}
:columns: 4
**[Actual Vs Expected](plot_ave_analysis)**
```{glue:} plot_ave_analysis
```
:::

:::{grid-item-card}
:columns: 4
**[IBNR Runoff](plot_ibnr_runoff)**
```{glue:} plot_ibnr_runoff
```
:::

:::{grid-item-card}
:columns: 4
**[MackChainladder](plot_mack)**
```{glue:} plot_mack
```
:::
::::
